求助:系统不能启动,同时无法挂载 /home 分区

为当前最终发行版之前的所有版本提供支持
回复
头像
大宝
帖子: 2869
注册时间: 2008-06-30 22:32
送出感谢: 0
接收感谢: 10 次
联系:

求助:系统不能启动,同时无法挂载 /home 分区

#1

帖子 大宝 » 2010-12-06 15:35

开机时显示未能找到 / 分区
用U盘系统开机
使用磁盘实用工具查看,发现 / 分区格式成了“未知”。。。。 :em06
之后,挂载 /home 分区失败,错误提示如下:

代码: 全选

Error mounting: mount: wrong fs type, bad option, bad superblock on /dev/sda3,
       missing codepage or helper program, or other error
       In some cases useful info is found in syslog - try
       dmesg | tail  or so
另:未检测出坏道或其它问题
这些用户感谢了作者 大宝 于这个帖子:
rapistor (2012-04-01 20:30)
评价: 3.7%
头像
大宝
帖子: 2869
注册时间: 2008-06-30 22:32
送出感谢: 0
接收感谢: 10 次
联系:

Re: 求助:系统不能启动,同时无法挂载 /home 分区

#2

帖子 大宝 » 2010-12-06 15:42

geeker@geeker:~$ sudo dmesg | tail
[sudo] password for geeker:
[ 733.038051] 0 pages in swap cache
[ 733.038054] Swap cache stats: add 0, delete 0, find 0/0
[ 733.038057] Free swap = 0kB
[ 733.038059] Total swap = 0kB
[ 733.042353] 245696 pages RAM
[ 733.042358] 18386 pages HighMem
[ 733.042360] 5333 pages reserved
[ 733.042362] 184859 pages shared
[ 733.042365] 160774 pages non-shared
[ 733.046886] EXT4-fs (sda3): filesystem has both journal and inode journals!
头像
大宝
帖子: 2869
注册时间: 2008-06-30 22:32
送出感谢: 0
接收感谢: 10 次
联系:

Re: 求助:系统不能启动,同时无法挂载 /home 分区

#3

帖子 大宝 » 2010-12-06 15:52

geeker@geeker:~$ sudo fdisk -l /dev/sda3

Disk /dev/sda3: 69.9 GB, 69906464768 bytes
255 heads, 63 sectors/track, 8498 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disk identifier: 0x00000000
头像
rapistor
帖子: 1982
注册时间: 2009-01-19 15:09
送出感谢: 4 次
接收感谢: 8 次

Re: 求助:系统不能启动,同时无法挂载 /home 分区

#4

帖子 rapistor » 2011-03-01 19:38

大宝搞定了没有,今天我的一个分区也无法挂载。
搜索找到一些资料说是超级块(superblock)坏了。
用一个命令就搞定了。
sudo e2fsck -b 32768 -y /dev/sda6

http://bbs.quickbest.com.cn/viewthread. ... ra=&page=2
资料在上面网址,贴出来以备有人会用到。
坚守在linux的天堂!
Hunter@
帖子: 9
注册时间: 2012-05-19 20:42
送出感谢: 0
接收感谢: 0

Re: 求助:系统不能启动,同时无法挂载 /home 分区

#5

帖子 Hunter@ » 2014-01-07 21:04

赞楼上,就是超级块损坏,我也遇到了,就是这么解决的!
回复

回到 “老旧版本支持”